Bug 29558 - Real Time Clock Driver v1.09
Summary: Real Time Clock Driver v1.09
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-26 15:53 UTC by Brent Buss
Modified: 2007-04-18 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 14:07:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:047 normal SHIPPED_LIVE : Linux kernel 2.2.19 now available, provides security fixes, enhancements 2001-04-10 04:00:00 UTC

Description Brent Buss 2001-02-26 15:53:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i586)


I used your RHN Update agent to update my RH 7 machine.  I am inside the a
firewall so I have to install socks on my machine.  My machine now stops on
the Real Time Clock Driver v1.09.  I just hit the enter key and it
continues.  How can I fix it so I dont have to hit enter key?  Thanks

Reproducible: Always
Steps to Reproduce:
1.Reboot.
2.
3.

Comment 1 Helge Deller 2001-02-26 18:04:02 UTC
This bug is not timetool-related and belongs to the up2date or rhn_register
package.

Comment 2 Preston Brown 2001-02-27 05:06:17 UTC
there is no way that up2date did this, you are having kernel problems.

what kernel are you running? (rpm -q kernel)

contents of /etc/lilo.conf? (cat /etc/lilo.conf)



Comment 3 Brent Buss 2001-02-27 14:51:45 UTC
2.2.17-14 Kernel

boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.2.17-14
	label=linux
	read-only
	root=/dev/hdc2


Comment 4 Alan Cox 2001-02-28 09:07:02 UTC
This would be an IBM netfinity ?


Comment 5 Brent Buss 2001-02-28 15:07:21 UTC
No.. This is a normal pc.. P166

Comment 6 Joe Dupre 2001-03-01 00:17:50 UTC
I just did a manual upgrade from kernel 2.2.16-22 to 2.2.17-14 and I now have 
the same problem:  system hangs when booting at Real Time Clock Driver v1.09.  
Pressing any key continues the boot and system appears to run normally.

When booting to the saved kernel 2.2.16-14 the system does not hang.

Motherboard is SuperMicro P6SNE (Intell 440X chipset) with a 200MHz Pentium Pro 
processor.

Comment 7 Brent Buss 2001-03-01 16:09:20 UTC
The upgrade I did over your RedHat Network I think got rid of the old kernel.. 
I go into boot and 2.2.16-14 doesn't show up anywhere.

No my machine is a IBM pentium 166

Comment 8 Joe Dupre 2001-03-01 16:49:37 UTC
I see that this bug is categorized as a i586 problem.
Please note that I installed the i686 version of the kernel on my Pentium Pro 
machine that has the problem. I have no idea at what point a processor steps 
from a i586 to a i686, but the original RH 7.0 instal identified it as a i686 
machine.

I did two other upgrades to 2.2.17-14 on i386 systems (a 486-DX2 and a 66MHz 
Pentium I system).  Neither exhibit this pause at the Real Time Clock Driver 
v1.09.

Comment 9 Brent Buss 2001-03-02 17:58:59 UTC
So what do I do??

Comment 10 D. Hugh Redelmeier 2001-03-11 01:51:51 UTC
I too have the problem:
- RHL7 on a clone. P166 non-MMX CPU.  Intel 430FX chipset, Intel motherboard.
- installed the 2.2.17-14 kernel from the updates (rpm -i, not -F)
- booting pauses after "Real Time Clock Driver v1.09" until I tap a key
  (I happen to press Ctrl, or F12, but I'd bet any key would work)
- The important message might be the first after the pause:
  "Toshiba System Managment Mode driver v1.7 22/6/2000"
- I can go back to the 2.2.16 kernel (I don't remember which one, but it was
  built by Red Hat), and there is no pause.

Comment 11 Brent Buss 2001-04-09 17:22:40 UTC
I was just wondering if this was being worked on yet??  What should I do to correct the problem.  I have no older kernel to go back to.

Comment 12 kitchen_506 2001-04-17 14:07:41 UTC
This seems very related to [bug 26993], "kernel 2.2.17-14 stalls at 'real time
clock' until keypress", which was reported on RH 6.2.

Comment 13 Arjan van de Ven 2001-08-03 14:11:36 UTC
Turns out to be the toshiba driver ; fixed in 2.2.19


Note You need to log in before you can comment on or make changes to this bug.